Bug 840649 - Upload of package content to repository fails due to .PackageDetailsValidationException: The version part of '[sha256=<sha256 hash>]' isn't an OSGi version string.
Upload of package content to repository fails due to .PackageDetailsValidatio...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Content (Show other bugs)
JON 3.1.0
All All
unspecified Severity high
: ER01
: JON 3.2.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 840650
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 15:49 EDT by Larry O'Leary
Modified: 2014-01-02 15:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840650 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example repository package with a sha256 hash of 4e6fac41c12242f199a9aa82eab29e40b827e688da1f2210838545783137a5da (176 bytes, text/javascript)
2012-07-16 15:49 EDT, Larry O'Leary
no flags Details
repo.png (558.79 KB, image/png)
2013-10-01 10:46 EDT, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 164123 None None None 2012-07-16 15:52:01 EDT

  None (edit)
Description Larry O'Leary 2012-07-16 15:49:30 EDT
Created attachment 598519 [details]
An example repository package with a sha256 hash of 4e6fac41c12242f199a9aa82eab29e40b827e688da1f2210838545783137a5da

Description of problem:
Unable to upload content to a repository.

Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
Always

Steps to Reproduce:
1.  Start JON system
2.  Create a new **Repository**
    1.  Navigate to the **Administration** page
    2.  From the left navigation-tree, expand and select **Content / Repositories**
    3.  Select the **Create New** button
    4.  Set **Name** to `Test Repo`
    5.  Click **Save**
3.  Upload whispirDeploy.js to new repository (**order is very important**):
    1.  Navigate to the **Administration** page
    2.  From the left navigation-tree, expand and select **Content / Repositories**
    3.  Click **Test Repo**
    4.  In the **Upload New Package** section, click the **Upload File...** button
    5.  Click the **Add...** button
    6.  Browse to and select the whispirDeploy.js file
    7.  Click the **Upload** button
    8.  In the **Upload New Package** section, set the following:
        *   **Type** **Server-side CLI Script**
    9.  Click the **Create Package** button
  
Actual results:
Failed to create package [mypackage.js] in repository. Cause: javax.ejb.EJBException:org.rhq.enterprise.server.plugin.pc.content.PackageDetailsValidationException: The version part of '[sha256=4e6fac41c12242f199a9aa82eab29e40b827e688da1f2210838545783137a5da]' isn't an OSGi version string.

Expected results:
Package content should be uploaded and appear in the **Packages** section of the page.

Additional info:
The order of the steps is very important. The issue only occurs if you upload the file first. On the other hand, if you set the **Name** and **Type** fields prior to uploading the new package, the error does not occur. The issue appears to deal with how default values are derived from the actual uploading of the package file. Perhaps version can't be determined from the package file and therefore, it is set to a default value that does not reflect the value entered or displayed in the UI?
Comment 1 Charles Crouch 2012-08-29 12:05:15 EDT
As per 8/20 triage 8/20 pushing to JON312
Comment 2 Lukas Krejci 2013-06-28 10:32:18 EDT
BZ 840650 has the fix in master
Comment 3 Larry O'Leary 2013-09-06 10:33:35 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 4 Armine Hovsepyan 2013-10-01 10:46:13 EDT
Created attachment 806020 [details]
repo.png
Comment 5 Armine Hovsepyan 2013-10-01 10:47:48 EDT
verified
please get verification screen-shot attached

Note You need to log in before you can comment on or make changes to this bug.